import ArticleCard from "@/components/common/cards/ArticleCard";
import SectionWrapper from "./components/SectionWrapper";
import { Divider } from "@mui/material";
import { Box2 } from "iconsax-react";

const ArticlesList = ({ content }) => {
  return (
    <SectionWrapper content={content} >
      <div className="w-full flex flex-col gap-4 md:gap-6">

      <div className="w-full flex items-center gap-3">
        <Box2 size={16} color="#95a5aa" />
        <p className="text-nowrap text-text-second">مقالات مرتبط</p>
        <div className="flex flex-1 ">
          <Divider sx={{ width: "100%" }} />
        </div>
      </div>
      <div className="w-full grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-6">
        {content?.list?.map((item, index) => (
          <ArticleCard key={index} article={item} />
        ))}
      </div>
        </div>
    </SectionWrapper>
  );
};

export default ArticlesList;
